Package com.saxonica.ee.bytecode

## Class SquareArrayConstructorCompiler

- java.lang.Object
- - com.saxonica.ee.bytecode.ExpressionCompiler
  - - com.saxonica.ee.bytecode.ToItemCompiler
    - - com.saxonica.ee.bytecode.SquareArrayConstructorCompiler

-     public class SquareArrayConstructorCompiler
      extends ToItemCompiler

  Generate bytecode for an SquareArrayConstructor expression. This typically originates as an array constructor in square brackets, for example [a,b,c,d].

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SquareArrayConstructorCompiler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compileToItem​(CompilerService compiler, Expression expression)` | Generate bytecode to evaluate the ArrayBlockExpression as an (array) item Precondition: none.

    - ### Methods inherited from class com.saxonica.ee.bytecode.ToItemCompiler

      `compileToBoolean, compileToIterator, compileToPush, returnZeroLengthStringIfNull`

    - ### Methods inherited from class com.saxonica.ee.bytecode.ExpressionCompiler

      `allocateStatic, compileItemFromInt, compileToPrimitive, generateMethod, handleEmptyStringResult, printStackTop, verify, visitAnnotation, visitLineNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SquareArrayConstructorCompiler

          public SquareArrayConstructorCompiler()

  - ### Method Detail

    - #### compileToItem

          public void compileToItem​(CompilerService compiler,
                                    Expression expression)
                             throws CannotCompileException

      Generate bytecode to evaluate the ArrayBlockExpression as an (array) item Precondition: none. Postcondition: the stack contains an item representing the constructed array
      Specified by:
        `compileToItem` in class `ExpressionCompiler`
      Parameters:
        `compiler` - the compiler service
        `expression` - the expression to be compiled
      Throws:
        `CannotCompileException` - if the expression cannot be compiled to bytecode